[-]
[+]
|
Added |
ulogd.changes
|
|
[-]
[+]
|
Added |
ulogd.spec
^
|
|
[-]
[+]
|
Added |
ulogd-2.0.0-config.dif
^
|
@@ -0,0 +1,67 @@
+--- ulogd.conf.in.orig 2012-05-18 02:49:10.852226379 +0200
++++ ulogd.conf.in 2012-07-07 15:47:30.915793886 +0200
+@@ -9,7 +9,7 @@
+
+
+ # logfile for status messages
+-logfile="/var/log/ulogd.log"
++logfile="/var/log/ulogd/ulogd.log"
+
+ # loglevel: debug(1), info(3), notice(5), error(7) or fatal(8)
+ loglevel=1
+@@ -168,25 +168,25 @@
+ socket_path="/tmp/nuauth_ulogd2.sock"
+
+ [emu1]
+-file="/var/log/ulogd_syslogemu.log"
++file="/var/log/ulogd/syslogemu.log"
+ sync=1
+
+ [op1]
+-file="/var/log/ulogd_oprint.log"
++file="/var/log/ulogd/oprint.log"
+ sync=1
+
+ [gp1]
+-file="/var/log/ulogd_gprint.log"
++file="/var/log/ulogd/gprint.log"
+ sync=1
+ timestamp=1
+
+ [xml1]
+-directory="/var/log/"
++directory="/var/log/ulogd/"
+ sync=1
+
+ [pcap1]
+-#default file is /var/log/ulogd.pcap
+-#file=/var/log/ulogd.pcap
++#default file is /var/log/ulogd/ulogd.pcap
++file=/var/log/ulogd/ulogd.pcap
+ sync=1
+
+ [mysql1]
+@@ -240,12 +240,12 @@
+
+ [sqlite3_ct]
+ table="ulog_ct"
+-db="/var/log/ulogd.sqlite3db"
++db="/var/log/ulogd/sqlite3db"
+ buffer=200
+
+ [sqlite3_pkt]
+ table="ulog_pkt"
+-db="/var/log/ulogd.sqlite3db"
++db="/var/log/ulogd/sqlite3db"
+ buffer=200
+
+ [sys2]
+@@ -253,7 +253,7 @@
+
+ [nacct1]
+ sync = 1
+-#file = /var/log/ulogd_nacct.log
++file = /var/log/ulogd/nacct.log
+
+ [mark1]
+ mark = 1
|
|
Changed |
ulogd-2.0.0.tar.bz2
^
|
|
Added |
ulogd-2.0.0.tar.bz2.sig
^
|
|
Added |
ulogd.a4.pdf
^
|
[-]
[+]
|
Added |
ulogd.apparmor
^
|
@@ -0,0 +1,37 @@
+# vim:syntax=apparmor
+# Last Modified: Thu May 31 19:14:10 2007
+# $Id$
+# ------------------------------------------------------------------
+#
+# Copyright (C) 2007 Novell/SUSE
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of version 2 of the GNU General Public
+# License published by the Free Software Foundation.
+#
+# ------------------------------------------------------------------
+
+#include <tunables/global>
+
+/usr/sbin/ulogd {
+ #include <abstractions/base>
+ #include <abstractions/consoles>
+ #include <abstractions/mysql>
+ #include <abstractions/nameservice>
+
+ capability net_admin,
+ capability setgid,
+ capability setuid,
+
+ /etc/ulogd.conf r,
+ /usr/sbin/ulogd mr,
+ /usr/lib/ulogd/*.so mr,
+ /usr/lib64/ulogd/*.so mr,
+ # ulogd user home
+ /var/lib/ulogd r,
+ # new ulogd log dir
+ /var/log/ulogd r,
+ /var/log/ulogd/* rw,
+ # old log files
+ /var/log/ulogd.* rw,
+}
|
[-]
[+]
|
Added |
ulogd.init
^
|
@@ -0,0 +1,201 @@
+#! /bin/sh
+# Copyright (c) 2004-2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# All rights reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of
+# the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+# See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+# Author: Marius Tomaschewski
+# Please send feedback to http://www.suse.de/feedback/
+#
+# /etc/init.d/ulogd
+# and its symbolic link
+# /(usr/)sbin/rculogd
+#
+# ulogd - the userspace logging daemon for netfilter ULOG targets
+#
+### BEGIN INIT INFO
+# Provides: ulogd
+# Required-Start: $local_fs $remote_fs
+# Should-Start: mysql postgres $syslog
+# Required-Stop: $local_fs $remote_fs
+# Should-Stop: mysql postgres $syslog
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: netfilter ULOG target logging daemon
+# Description: Start the netfilter ULOG target logging daemon
+### END INIT INFO
+
+# Check for missing binaries (stale symlinks should not happen)
+# Note: Special treatment of stop for LSB conformance
+ULOGD_BIN=/usr/sbin/ulogd
+test -x $ULOGD_BIN || {
+ echo "$ULOGD_BIN not installed";
+ if [ "$1" = "stop" ]; then exit 0; else exit 5; fi;
+}
+
+# Check for existence of needed config file
+ULOGD_CONFIG=/etc/ulogd.conf
+test -r $ULOGD_CONFIG || {
+ echo "$ULOGD_CONFIG not existing";
+ if [ "$1" = "stop" ]; then exit 0; else exit 6; fi;
+}
+
+# start time timestamp file
+ULOGD_LOCK=/var/lock/subsys/ulogd
+
+# Shell functions sourced from /etc/rc.status:
+# rc_check check and set local and overall rc status
+# rc_status check and set local and overall rc status
+# rc_status -v be verbose in local rc status and clear it afterwards
+# rc_status -v -r ditto and clear both the local and overall rc status
+# rc_status -s display "skipped" and exit with status 3
+# rc_status -u display "unused" and exit with status 3
+# rc_failed set local and overall rc status to failed
+# rc_failed <num> set local and overall rc status to <num>
+# rc_reset clear both the local and overall rc status
+# rc_exit exit appropriate to overall rc status
+# rc_active checks whether a service is activated by symlinks
+# rc_splash arg sets the boot splash screen to arg (if active)
+. /etc/rc.status
+
+# Reset status of this service
+rc_reset
+
+# Return values acc. to LSB for all commands but status:
+# 0 - success
+# 1 - generic or unspecified error
+# 2 - invalid or excess argument(s)
+# 3 - unimplemented feature (e.g. "reload")
+# 4 - user had insufficient privileges
+# 5 - program is not installed
+# 6 - program is not configured
+# 7 - program is not running
+# 8--199 - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
+#
+# Note that starting an already running service, stopping
+# or restarting a not-running service as well as the restart
+# with force-reload (in case signaling is not supported) are
+# considered a success.
+
+case "$1" in
+ start)
+ echo -n "Starting ulogd "
+ ## Start daemon with startproc(8). If this fails
+ ## the return value is set appropriately by startproc.
+ umask 0027
+ startproc $ULOGD_BIN -d
+ touch $ULOGD_LOCK
+
+ # Remember status and be verbose
+ rc_status -v
+ ;;
+ stop)
+ echo -n "Shutting down ulogd "
+ ## Stop daemon with killproc(8) and if this fails
+ ## killproc sets the return value according to LSB.
+
+ killproc -TERM $ULOGD_BIN
+ rm -f $ULOGD_LOCK
+
+ # Remember status and be verbose
+ rc_status -v
+ ;;
+ try-restart|condrestart)
+ ## Do a restart only if the service was active before.
+ ## Note: try-restart is now part of LSB (as of 1.9).
+ ## RH has a similar command named condrestart.
+ if test "$1" = "condrestart"; then
+ echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+ fi
+ $0 status
+ if test $? = 0; then
+ $0 restart
+ else
+ rc_reset # Not running is not a failure.
+ fi
+ # Remember status and be quiet
+ rc_status
+ ;;
+ restart)
+ ## Stop the service and regardless of whether it was
+ ## running or not, start it again.
+ $0 stop
+ $0 start
+
+ # Remember status and be quiet
+ rc_status
+ ;;
+ force-reload)
+ ## Signal the daemon to reload its config. Most daemons
+ ## do this on signal 1 (SIGHUP).
+ ## If it does not support it, restart.
+
+ echo -n "Reload service ulogd "
+ ## if it supports it:
+ killproc -HUP $ULOGD_BIN
+ touch $ULOGD_LOCK
+ rc_status -v
+
+ ## Otherwise:
+ #$0 try-restart
+ #rc_status
+ ;;
+ reload)
+ ## Like force-reload, but if daemon does not support
+ ## signaling, do nothing (!)
+
+ # If it supports signaling:
+ echo -n "Reload service ulogd "
+ killproc -HUP $ULOGD_BIN
+ touch $ULOGD_LOCK
+ rc_status -v
+
+ ## Otherwise if it does not support reload:
+ #rc_failed 3
+ #rc_status -v
+ ;;
+ status)
+ echo -n "Checking for service ulogd "
+ ## Check status with checkproc(8), if process is running
+ ## checkproc will return with exit status 0.
+
+ # Return value is slightly different for the status command:
+ # 0 - service up and running
+ # 1 - service dead, but /var/run/ pid file exists
+ # 2 - service dead, but /var/lock/ lock file exists
+ # 3 - service not running (unused)
+ # 4 - service status unknown :-(
+ # 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
+
+ # NOTE: checkproc returns LSB compliant status values.
+ checkproc $ULOGD_BIN
+ # NOTE: rc_status knows that we called this init script with
+ # "status" option and adapts its messages accordingly.
+ rc_status -v
+ ;;
+ probe)
+ ## Optional: Probe for the necessity of a reload, print out the
+ ## argument to this init script which is required for a reload.
+ ## Note: probe is not (yet) part of LSB (as of 1.9)
+
+ # note: reload reopens the log files only
+ test $ULOGD_CONFIG -nt $ULOGD_LOCK && echo restart
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
+ exit 1
+ ;;
|
[-]
[+]
|
Added |
ulogd.logrotate
^
|
@@ -0,0 +1,32 @@
+# old log file names
+/var/log/ulogd.log /var/log/ulogd.syslogemu /var/log/ulogd.pktlog /var/log/ulogd.pcap {
+ compress
+ dateext
+ maxage 365
+ rotate 99
+ missingok
+ notifempty
+ size +4096k
+ create 640 root root
+ sharedscripts
+ postrotate
+ /etc/init.d/ulogd reload
+ endscript
+}
+
+# new log file names
+/var/log/ulogd/ulogd.log /var/log/ulogd/ulogd.syslogemu /var/log/ulogd/ulogd.pktlog /var/log/ulogd/ulogd.pcap {
+ compress
+ dateext
+ maxage 365
+ rotate 99
+ missingok
+ notifempty
+ size +4096k
+ create 640 ulog ulog
+ sharedscripts
+ postrotate
+ /etc/init.d/ulogd reload
+ endscript
+}
+
|